getFixedAssetClass
READGet fixed asset class.
POST /api/v1/accounting/getFixedAssetClass
curl -X POST '<your-host>/api/v1/accounting/getFixedAssetClass' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"id": "string"
}'Response
{
"accumulatedDepreciationAccountId": "string",
"assetAccountId": "string",
"bonusDepreciationPercent": 0,
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"customFields": "…",
"depreciationExpenseAccountId": "string",
"depreciationMethod": "Straight Line",
"description": "string",
"gainOnDisposalAccountId": "string",
"id": "string",
"lossOnDisposalAccountId": "string",
"macrsConvention": "Half-Year",
"macrsPropertyClass": "3",
"name": "string",
"residualValuePercent": 0,
"taxDepreciationMethod": "Straight Line",
"taxResidualValuePercent": 0,
"taxUsefulLifeMonths": 0,
"updatedAt": "string",
"updatedBy": "string",
"usefulLifeMonths": 0,
"writeDownAccountId": "string",
"writeOffAccountId": "string"
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"id": {
"type": "string"
}
},
"required": [
"id"
]
}